import Koa = require('koa');

export = (/* opts */) => {
  /**
   * error handler
   * @param {Koa.Context} ctx koa ctx
   * @param {Function} next koa next
   */
  return async (ctx: Koa.Context, next: () => Promise<any>) => {
    try {
      ctx.set('X-Proxy', 'Fary Server');
      await next();
    } catch (error) {
      ctx.status = 500;
      ctx.body = 'We are sorry. Internal server error occurred.';
      ctx.app.emit('error', error, ctx);
    }
  };
};
